###
### mdp.R - Demo
###
require(mdp)

data.dir <- system.file("data",package="mdp")
beetles <- file.path(data.dir,"beetle.data")

X <- read.table(beetles)
p <- ncol(X)
Y <- as.matrix(X[,-p])

cat("\n Note: Demo will write working files in the current directory.\n")

## call MCMC
mdp(Y=Y,n.iter=1000,
    pxy=1,exy=1,ex=1,ix=1,iy=2,iz=3,
    q=10,cc=10)

## plot results
plt.pxy(img=T,lg=T)
points(Y[,1],Y[,2],pch=19)

plt.pxy(img=F,lg=F)
points(Y[,1],Y[,2],pch=19)


plt.ex(sd=T,zlab="E[z | data]")  ## E(z | x, data), for z=3rd col (iz)
plt.ex(sim=T,zlab="f(x)~p(f | data)")  ## show random draws from p(f | data)

plt.exy()                   ## E(z | x,y, data)

## note: for marginals on different coordinates need to
## re-run mdp with new values for ix,iy,iz
## End(Not run)
