## Data from Lubischew, A. (1962), "On the use of discriminant functions
##           in taxonomy," Biometrics, 18, 455-477.

require(mdp,
        lib.loc="/home/pmueller/R/x86_64-pc-linux-gnu-library/3.1/")

dir <- "~/smooth/R/mdp/dev/"
setwd(dir)
Y <- read.table("beetle.data")   # beetle data. The last column reports species
p <- ncol(Y)         
Y <- as.matrix(Y[,-p]) # don't use the species indicator

## run MCMC
##
mdp(Y=Y,
    pxy=1,exy=1,ex=1,ix=1,iy=2,iz=3,
    q=10,cc=10)

## plot results
##
plt.pxy(img=T,lg=T)         ## biv density estimate p(x,y), 
                            ## x=1st col (ix), y=2nd column (iy)
points(Y[,1],Y[,2],pch=19)  # add data points

plt.pxy(img=F,lg=F)         # same as a contour plot
points(Y[,1],Y[,2],pch=19)

plt.ex(sd=T,zlab="f(x)=E(z | x)")   ## E(z | x, data), for z=3rd col (iz)
plt.ex(sim=T,zlab="f~p(f | data)")  ## show random draws from p(f | data)

plt.exy()                   ## E(z | x,y, data)
